### Method

# Aravis Camera gv_auto_packet_size

since: 0.8.0

#### Declaration [src]

    guint
    arv_camera_gv_auto_packet_size (
      ArvCamera* camera
      GError** error
    )

#### Description [src]

Automatically determine the biggest packet size that can be used data streaming, and set GevSCPSPacketSize value accordingly. This function relies on the GevSCPSFireTestPacket feature. If this feature is not available, the packet size will be set to a default value (1500 bytes).

Available since: 0.8.0

#### Return value

Type: `guint`

The packet size, in bytes.